/**
 * Copyright 2018-2020 stylefeng & fengshuonan (sn93@qq.com)
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package com.inkasso.adapter.response;


import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 请求失败的返回
 */
@Getter
@Setter
public class ErrorResponseData extends ResponseData {

  /**
   * 业务异常码
   */
  private String serviceCode;

  /**
   * java 代码上的 错误提示
   */
  private String javaError;


  public ErrorResponseData(String message) {
    super(false, DEFAULT_ERROR_CODE, message, null);
  }

  public ErrorResponseData(String serviceCode, Integer code, String message) {
    super(false, code, message, null);
    this.serviceCode = serviceCode;
  }

  public ErrorResponseData(Integer code, String message) {
    super(false, code, message, null);
  }

  public ErrorResponseData(Integer code, String serviceCode, String message) {
    super(false, code, message, null);
    this.serviceCode = serviceCode;
  }

  public ErrorResponseData(Integer code, String serviceCode, String message, String javaError) {
    super(false, code, message, null);
    this.javaError = javaError;
  }
}
